info.bioinfweb.jphyloio.formats.newick

## Class DefaultNewickReaderNodeLabelProcessor

- java.lang.Object
- - info.bioinfweb.jphyloio.formats.newick.DefaultNewickReaderNodeLabelProcessor

- All Implemented Interfaces:
    NewickReaderNodeLabelProcessor

      public class DefaultNewickReaderNodeLabelProcessor
      extends java.lang.Object
      implements NewickReaderNodeLabelProcessor

  Default implementation of `NewickReaderNodeLabelProcessor` that returns the original name unchanged.
  Author:
    Ben Stöver

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultNewickReaderNodeLabelProcessor()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getLinkedOTUID(java.lang.String processedLabel)` Returns the OTU ID that is associated with the specified label.
    `java.lang.String` | `processLabel(java.lang.String originalLabel, boolean isInternal)` Processes a label according to the format modeled by this implementation.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultNewickReaderNodeLabelProcessor

          public DefaultNewickReaderNodeLabelProcessor()

  - ### Method Detail

    - #### processLabel

          public java.lang.String processLabel(java.lang.String originalLabel,
                                               boolean isInternal)

      Description copied from interface: `NewickReaderNodeLabelProcessor`
      Processes a label according to the format modeled by this implementation.
      Specified by:
        `processLabel` in interface `NewickReaderNodeLabelProcessor`
      Parameters:
        `originalLabel` - the label as it was read from the Newick string
        `isInternal` - defines whether the node carrying this label is an internal node or not
      Returns:
        the processed label

    - #### getLinkedOTUID

          public java.lang.String getLinkedOTUID(java.lang.String processedLabel)

      Description copied from interface: `NewickReaderNodeLabelProcessor`
      Returns the OTU ID that is associated with the specified label.
      Specified by:
        `getLinkedOTUID` in interface `NewickReaderNodeLabelProcessor`
      Parameters:
        `processedLabel` - the processed label as it was returned by a call if `#processLabel(String)`
      Returns:
        the linked OTU ID or `null` if no associated OTU ID exists